Status: Closed Start date: 06 Dec 2016
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 150.00 hours
Target version: IFAD Project Spent time: 148.50 hours
Resolution:

Description

¢ General filtering capability in the backend (based on elasticsearch)
¢ General filtering capability will also be used for filtering in the API
e Expertfilter (GUI with dropdown selection for keys and values)

History

#1 - 13 Dec 2016 18:53 - Kurt Gerber
- Tracker changed from Task to User Story

- Parent task deleted (#1010)

#2 - 27 Jan 2017 13:06 - Kurt Gerber

- Status changed from New to Accepted

#3 - 09 Feb 2017 11:27 - Kurt Gerber
- Priority changed from High to Normal

#4 - 23 Mar 2017 14:58 - Kurt Gerber

- Subject changed from Expertfilter and backend filtering to Generic Filter

#5 - 04 Apr 2017 14:03 - Kurt Gerber
- Priority changed from Normal to High

#6 - 18 May 2017 15:14 - Kurt Gerber

- Status changed from Accepted to In Progress
#7 - 29 Jun 2017 17:23 - Kurt Gerber
Discussion and decision 29.6.:
e After advanced filter has been set and the user clicks on 'Search’, the advanced filter is collapsed. The set filters are visible in the black bar.

¢ The 'simple filter' is always visible and always and doesn't change layout.
e The action button is always at the bottom right side of the filter section and is called 'Search'’

#8 - 24 Aug 2017 17:50 - Kurt Gerber
- Target version changed from QCAT Backlog to IFAD Project

#9 - 31 Aug 2017 09:21 - Kurt Gerber

- Status changed from In Progress to Resolved

#10 - 30 Nov 2017 09:59 - Kurt Gerber

- Status changed from Resolved to Closed
